OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::AudioIODeviceType::Listener Class Referenceabstract

`#include <juce_AudioIODeviceType.h>`

## Public Member Functions
virtual void | audioDeviceListChanged ()=0

## Detailed Description

A class for receiving events when audio devices are inserted or removed.

You can register an AudioIODeviceType::Listener with an AudioIODeviceType object using the AudioIODeviceType::addListener() method, and it will be called when devices of that type are added or removed.

See also
  AudioIODeviceType::addListener, AudioIODeviceType::removeListener

Definition at line 125 of file juce_AudioIODeviceType.h.

## Member Function Documentation

## ◆ audioDeviceListChanged()

virtual void juce::AudioIODeviceType::Listener::audioDeviceListChanged | ( |  | ) |
| pure virtual

Called when the list of available audio devices changes.

Referenced by juce::AudioIODeviceType::callDeviceChangeListeners().

The documentation for this class was generated from the following file:

- juce_AudioIODeviceType.h